%define _unpackaged_files_terminate_build 0
Summary: FPM config and init files for PHP
Summary(ko): PHP 5.6 FPM 설정 파일 및 구동 파일
Name: php56-fpm-conf
Version: 5.6.17
Release: 1%{?dist}
Epoch: 100
License: PHP
Group: System Environment/AnNyung
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Source0: php-fpm.init
Source1: php-fpm.conf
Source2: php-fpm-fcgi.ini
Source3: php-shared.ini
Source4: php-53compatible.ini
Source5: php-fpm.service
Source6: php-fpm.sysconfig
Source100: status.html

Requires: php56-common php56-fpm


%description
The php-fpm 5.6 package contains fpm configuration and init files.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sbindir}/init.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_datadir}/php56

%{__mkdir_p} %{buildroot}%{_localstatedir}/log/fpm56

%{__install} -m755 %{SOURCE0} %{buildroot}%{_sbindir}/init.d/php56-fpm
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php56.d/php-fpm.conf
%{__install} -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php56.d/php-fpm-fcgi.ini
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php56.d/fpm/SHARED.ini
%{__install} -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/php56.d/fpm/php53compatible.ini
%{__install} -m644 %{SOURCE100} %{buildroot}%{_datadir}/php56/fpm-status.html

%{__mkdir} -p %{buildroot}%{_unitdir}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -m644 %{SOURCE5} %{buildroot}%{_unitdir}/php56-fpm.service
%{__install} -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/php56-fpm

%clean
rm -rf %{buildroot}

%post
if [ ! -d /var/log/fpm -o ! -L /var/log/fpm ]; then
	mkdir -p /var/log/fpm
	chgrp nobody /var/log/fpm
	chmod 775 /var/log/fpm
else
	chgrp nobody /var/log/fpm
	chmod 775 /var/log/fpm
fi

%systemd_post php56-fpm.service
if [ $1 -eq 1 ]; then
	/usr/bin/systemctl enable php56-fpm.service >& /dev/null || :
fi

%preun
%systemd_preun php56-fpm.service

%postun
%systemd_postun_with_restart php56-fpm.service

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php56.d/fpm
%dir %{_sysconfdir}/php56.d/fpm.d
%{_sbindir}/init.d/php56-fpm
%{_datadir}/php56/fpm-status.html
%config(noreplace) %{_sysconfdir}/php56.d/php-fpm-fcgi.ini
%config(noreplace) %{_sysconfdir}/php56.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php56.d/fpm/*.ini

%{_sysconfdir}/sysconfig/php56-fpm
%{_unitdir}/*.service

%changelog
* Wed Sep  2 2015 JoungKyun.Kim <http://oops.org> 100:5.6.12-1%{?dist}
- 1st packaged

